resource "google_compute_instance" "default" {
  name         = local.vm-name
  machine_type = "e2-micro"
  zone         = "us-west1-a"
  project      = "alana-terraform-assignment"

  tags         = var.tags
  

  allow_stopping_for_update = true
  boot_disk {
    initialize_params {
      image = "debian-cloud/debian-9"
    }
  }

  network_interface {
    network = "default"
    access_config {
      // Ephemeral public IP
    }
  }
}
